<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/plantilla-principal.xhtml"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:jsf="http://xmlns.jcp.org/jsf">

    <ui:define name="contenido">
        
        <script>
            $(document).ready(function () {
                limpiarForm();
                desactivarBoton();
                $('#div-btn-nuevo').click(function () {
                    limpiarForm();
                    desactivarBoton();
                });
                $('#div-btn-elim').click(function () {
                    $('#dlg-conf-elim').modal('show');
                });
                $('#btn-agre').click(function () {
                    $('#form #msg').show();
                });
                $("#txtBuscar").keyup(function () {
                    if ($(this).val() !== "") {
                        $("#tablacargo tbody>tr").hide();
                        $("#tablacargo td:contains-ci('" + $(this).val() + "')").parent("tr").show();
                    } else {
                        $("#tablacargo tbody>tr").show();
                    }
                });
            });

            function limpiarForm() {
                $('#form #id-id').val("");
                $('#form #idnombre').val("");
                limpiarErrores();
            }
            function limpiarErrores() {
                $('#form').find('.ui.error.message ul').remove();
                $('#form').find('.error').removeClass('error').find('.prompt').remove();
                $('#form #msg').hide();
            }
            function desactivarBoton() {
                $('#btnactualizar').hide();
                $('#div-btn-elim').hide();
                $('#div-btn-nuevo').hide();
                $('#btn-agre').show();
            }
            function activarBoton() {
                $('#btnactualizar').show();
                $('#div-btn-elim').show();
                $('#div-btn-nuevo').show();
                $('#btn-agre').hide();
            }
            $.extend($.expr[":"], {
                "contains-ci": function (elem, i, match, array) {
                    return (elem.textContent || elem.innerText || $(elem).text() || "").toLowerCase().indexOf((match[3] || "").toLowerCase()) >= 0;
                }
            });
        </script>
        <h2 class="ui header">CARGO</h2>
        <div class="ui secondary menu">
            <div class="fitted item">
                <div id="div-btn-nuevo" class="ui green button">
                    <i class="file icon"/>
                    Nuevo
                </div>
            </div>
            <div class="fitted item">
                <div id="div-btn-elim" class="ui red button">
                    <i class="trash icon"/>
                    Eliminar
                </div>
            </div>
        </div>
        <div class="ui grid">
            <div class="eleven wide column">
                <div class="ui fluid icon input">
                    <input id="txtBuscar" class="prompt" placeholder="Buscar Cargo..." type="text"/>
                    <i class="search icon"></i>
                </div>

                <table id="tablacargo" class="ui selectable celled table">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Cargo</th>
                        </tr>
                    </thead>
                    <tbody>
                        <ui:repeat value="#{cargo.listadeCargos()}" var="carg">
                            <tr id="#{carg.idcargo}">
                                <td>#{carg.idcargo}</td>
                                <td>#{carg.nombre}</td>
                            </tr>
                            <script>
                                $(document).ready(function () {
                                    limpiarForm();
                                    desactivarBoton();
                                    $("##{carg.idcargo} td").click(function (evento) {
                                        $('.active').removeClass('active');
                                        $("##{carg.idcargo} td").addClass('active');
                                        var target = $('.active').hasClass('active');
                                        if (target === true) {
                                            $('#form #id-id').val("#{carg.idcargo}");
                                            $('#form #idnombre').val("#{carg.nombre}");
                                            var id = $("##{carg.idcargo}").attr("id");
                                            var jsonselect = JSON.stringify(id);
                                            $('#selbar').val(jsonselect);
                                            activarBoton();
                                            limpiarForm();
                                        }
                                    });
                                });
                            </script>
                        </ui:repeat>
                    </tbody>
                </table>
            </div>
            <div class="five wide column">
                <form jsf:id="form" jsf:prependId="false" class="ui form">
                    <div class="disabled field">
                        <label>Id</label>
                        <input type="text" placeholder="Id" jsf:id="id-id" jsf:value="#{cargo.cargo_temp.idcargo}"/>
                    </div>
                    <div class="field">
                        <label>Nombres</label>
                        <input type="text" jsf:id="idnombre" name="idnombre" placeholder="Nombres" jsf:value="#{cargo.cargo_temp.nombre}"/>
                    </div>
                    <button  class="ui primary button" jsf:id="btnactualizar" jsf:action="#{cargo.modificarCargo()}" >
                        <i class="save icon" />
                        Actualizar
                    </button>
                    <button  class="ui primary button" jsf:id="btn-agre" jsf:action="#{cargo.registrarCargo()}" >
                        <i class="add circle icon" />
                        Agregar
                    </button>
                    <div id="msg" class="ui error message">
                    </div>
                </form>
                <h:form id="dlg-conf-elim" class="ui basic modal">
                    <input name="selbar" id="selbar" type="hidden" jsf:value="#{cargo.seleccionCargoIDJson}"/>
                    <div class="ui icon header">
                        <i class="trash icon"></i>
                        Eliminar Cargo
                    </div>
                    <div class="centered content">
                        <p>¿Desea eliminar  el Cargo?</p>
                    </div>
                    <div class="actions">
                        <button jsf:action="#{cargo.eliminarCargos()}" class="ui green ok inverted button">
                            <i class="checkmark icon"></i>
                            Sí
                        </button>
                        <div class="ui red basic cancel inverted button">
                            <i class="remove icon"></i>
                            No
                        </div>
                    </div>
                </h:form>
                <script>
                    $('.ui.form')
                            .form({
                                fields: {
                                    idnombre: {
                                        rules: [
                                            {
                                                type: 'empty',
                                                prompt: '{name} No puede estar vacío'
                                            }
                                        ]
                                    }
                                }});

                </script>
            </div>
        </div>
    </ui:define>
</ui:composition>
